package com.prolog.upcloud.base.wh.operate.dao;

import com.prolog.framework.dao.mapper.BaseMapper;
import com.prolog.upcloud.base.wh.operate.model.WmsMoveDConfirm;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface WmsMoveDConfirmMapper extends BaseMapper<WmsMoveDConfirm> {
    int deleteByPrimaryKey(String moveLineId);

    int insert(WmsMoveDConfirm record);

    int insertSelective(WmsMoveDConfirm record);

    WmsMoveDConfirm selectByPrimaryKey(String moveLineId);

    int updateByPrimaryKeySelective(WmsMoveDConfirm record);

    int updateByPrimaryKey(WmsMoveDConfirm record);
}
